import { describe } from 'riteway';
import render from 'riteway/render-component';
import React from 'react';
import Random from '../index';

describe('Random component', async assert => {
    const userName = 'Spiderman';
    const $ = render(<Random userName={userName} />);

    assert({
        given: 'a username',
        should: 'Render a greeting to the correct username.',
        actual: $('.greeting')
            .html()
            .trim(),
        expected: `Hello, ${userName}!`
    });
});